diff -Naur FD-2.09d.orig/Makefile.in FD-2.09d/Makefile.in
--- FD-2.09d.orig/Makefile.in	2007-04-26 00:00:00.000000000 +0900
+++ FD-2.09d/Makefile.in	2007-05-06 08:09:21.000000000 +0900
@@ -13,10 +14,10 @@
 BINDIR	= $(BUILD)$(BINTOP)
 DATATOP	= $(PREFIX)/share
 DATADIR	= $(BUILD)$(DATATOP)/fd
-MANTOP	= $(PREFIX)/man
+MANTOP	= $(DATATOP)/man
 MANDIR	= $(BUILD)$(MANTOP)/man$(MANSEC)
 CATDIR	= $(BUILD)$(MANTOP)/cat$(MANSEC)
-JMANDIR	= $(BUILD)$(MANTOP)__LANGDIR__/man$(MANSEC)
+JMANDIR	= $(BUILD)$(MANTOP)/ja/man$(MANSEC)
 JCATDIR	= $(BUILD)$(MANTOP)__LANGDIR__/cat$(MANSEC)
 IPKWDIR	= ./ipk.work
 IPKTDIR	= ./ipk.tmp
@@ -290,29 +290,30 @@
 # to install all
 
 install: $(PROGRAM)$(EXE) $(PROGRAM).$(MANSEC) $(TABLES)
-	[ -d $(BINDIR) ] || mkdir $(BINDIR)
+	[ -d $(BINDIR) ] || mkdir -p $(BINDIR)
 	$(INSTALL) __INSTSTRIP__ $(PROGRAM)$(EXE) $(BINDIR)
 	$(CHMOD) a+rx $(BINDIR)/$(PROGRAM)$(EXE)
 	-$(RM) $(BINDIR)/$(ALIAS)$(EXE)
 	$(LN) $(BINDIR)/$(PROGRAM)$(EXE) $(BINDIR)/$(ALIAS)$(EXE)
 	$(CHMOD) a+rx $(BINDIR)/$(ALIAS)$(EXE)
-	[ -d $(JMANDIR) ] || mkdir $(JMANDIR)
+	[ -d $(JMANDIR) ] || mkdir -p $(JMANDIR)
 	$(INSTALL) $(PROGRAM).$(MANSEC) $(JMANDIR)/$(PROGRAM).$(MANSEC)
 	$(CHMOD) a+r-x $(JMANDIR)/$(PROGRAM).$(MANSEC)
 	-$(RM) $(JMANDIR)/$(ALIAS).$(MANSEC)
 	$(LN) $(JMANDIR)/$(PROGRAM).$(MANSEC) $(JMANDIR)/$(ALIAS).$(MANSEC)
 	$(CHMOD) a+r-x $(JMANDIR)/$(ALIAS).$(MANSEC)
-	[ -d $(MANDIR) ] || mkdir $(MANDIR)
+	[ -d $(MANDIR) ] || mkdir -p $(MANDIR)
 	$(INSTALL) $(MANSRC) $(MANDIR)/$(PROGRAM).$(MANSEC)
 	$(CHMOD) a+r-x $(MANDIR)/$(PROGRAM).$(MANSEC)
 	-$(RM) $(MANDIR)/$(ALIAS).$(MANSEC)
 	$(LN) $(MANDIR)/$(PROGRAM).$(MANSEC) $(MANDIR)/$(ALIAS).$(MANSEC)
 	$(CHMOD) a+r-x $(MANDIR)/$(ALIAS).$(MANSEC)
 	-if [ -f $(RUNCOM) ]; then \
+		[ -d $(BUILD)/$(CONFDIR) ] || mkdir -p $(BUILD)/$(CONFDIR); \
 		$(INSTALL) $(RUNCOM) $(BLDRC); \
 		$(CHMOD) a+r-x $(BLDRC); \
 	fi
-	[ -d __DATADIR__ ] || mkdir __DATADIR__
+	[ -d __DATADIR__ ] || mkdir -p __DATADIR__
 	-if [ -f $(UNITBL) ]; then \
 		$(INSTALL) $(UNITBL) __DATADIR__; \
 		$(CHMOD) a+r-x __DATADIR__/$(UNITBL); \
diff -Naur FD-2.09d.orig/_fdrc FD-2.09d/_fdrc
--- FD-2.09d.orig/_fdrc	2007-04-26 00:00:00.000000000 +0900
+++ FD-2.09d/_fdrc	2007-05-06 08:17:43.000000000 +0900
@@ -16,7 +16,7 @@
 #	100-113: preserve previous sort type
 #	200-213: preserve previous sort type also in the archive browser
 #		(the least 2 digits are effective just after initialize)
-#SORTTYPE=0
+SORTTYPE=1
 
 # default display mode
 #	0: normal (Default)
@@ -27,12 +27,12 @@
 #	5: sym-link status &				invisible dot file
 #	6: 			file type symbol &	invisible dot file
 #	7: sym-link status &	file type symbol &	invisible dot file
-#DISPLAYMODE=0
+DISPLAYMODE=3
 
 # whether if sort or not in tree mode
 #	0: not sort (Default)
 #	>= 1: sort according to SORTTYPE
-#SORTTREE=0
+SORTTREE=1
 
 # behavior about writing over directory on file system
 #	0: confirm to write or not, after directory arranged (Default)
@@ -63,7 +63,7 @@
 # whether if adjust tty or not when exiting
 #	0: not adjust (Default)
 #	>= 1: adjust
-#ADJTTY=0
+ADJTTY=1
 
 # whether if prioritize VT100 escape sequence or not for getting terminal size
 #	0: not prioritize (Default)
@@ -192,11 +192,11 @@
 
 # temporary directory where archive file is unpacked
 #	Default: /tmp
-#TMPDIR=/tmp
+TMPDIR=$HOME
 
 # file creation mask for the temporary directory
 #	Default: 022
-#TMPUMASK=022
+TMPUMASK=077
 
 # mount point of CD-ROM with iso-9660 rock ridge format
 #	Default: none
@@ -269,7 +269,7 @@
 # whether if hold the UNICODE translation table on memory
 #	0: not hold (Default)
 #	>= 1: hold
-#UNICODEBUFFER=0
+UNICODEBUFFER=1
 
 # language code to be displayed
 #	Default: No convert
@@ -285,7 +285,7 @@
 #	utf8-mac, UTF8-MAC: UTF-8 for Mac OS X
 #	utf8-iconv, UTF8-ICONV: UTF-8 for iconv
 #	en, EN, C: English
-#LANGUAGE=""
+LANGUAGE="$LANG"
 
 # system default Kanji code
 #	Default: No convert
@@ -302,7 +302,7 @@
 #	utf8, UTF8: UTF-8
 #	utf8-mac, UTF8-MAC: UTF-8 for Mac OS X
 #	utf8-iconv, UTF8-ICONV: UTF-8 for iconv
-#DEFKCODE=""
+DEFKCODE="$LANG"
 
 # Kanji code to be inputted
 #	Default: No convert
@@ -311,7 +311,7 @@
 #	utf8, UTF8: UTF-8
 #	utf8-mac, UTF8-MAC: UTF-8 for Mac OS X
 #	utf8-iconv, UTF8-ICONV: UTF-8 for iconv
-#INPUTKCODE=""
+INPUTKCODE="$LANG"
 
 # Kanji code to be inputted to the pseudo terminal
 #	Default: No convert
@@ -320,7 +320,7 @@
 #	utf8, UTF8: UTF-8
 #	utf8-mac, UTF8-MAC: UTF-8 for Mac OS X
 #	utf8-iconv, UTF8-ICONV: UTF-8 for iconv
-#PTYINKCODE=""
+PTYINKCODE="$LANG"
 
 # Kanji code to be outputted from the pseudo terminal
 #	Default: No convert
@@ -329,7 +329,7 @@
 #	utf8, UTF8: UTF-8
 #	utf8-mac, UTF8-MAC: UTF-8 for Mac OS X
 #	utf8-iconv, UTF8-ICONV: UTF-8 for iconv
-#PTYOUTKCODE=""
+PTYOUTKCODE="$LANG"
 
 # Kanji code in filename
 #	Default: No convert
@@ -346,7 +346,7 @@
 #	utf8, UTF8: UTF-8
 #	utf8-mac, UTF8-MAC: UTF-8 for Mac OS X
 #	utf8-iconv, UTF8-ICONV: UTF-8 for iconv
-#FNAMEKCODE=""
+FNAMEKCODE="utf8-mac"
 
 # Kanji code in filename on URL drive
 #	Default: No convert
diff -Naur FD-2.07a.orig/machine.h FD-2.07a/machine.h
--- FD-2.07a.orig/machine.h	Wed Jun 22 00:00:00 2005
+++ FD-2.07a/machine.h	Fri Jul  1 03:18:35 2005
@@ -672,6 +672,7 @@
 #if	defined (__APPLE__) && defined (__MACH__) && !defined (OSTYPE)
 #define	BSD44
 #define	OSTYPE			"DARWIN"	/* aka Mac OS X */
+#define	CODEEUC
 #define	USEMANLANG
 #define	BSDINSTALL
 #define	TARFROMPAX
